Draft Linie

From FreeCAD Documentation
This page is a translated version of the page Draft Line and the translation is 92% complete.
Outdated translations are marked like this.

Draft Linie

Menüeintrag
Zeichnen → Linie
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
L I
Eingeführt in Version
0.7
Siehe auch
Draft Polylinie

Beschreibung

Der Befehl Draft Linie erstellt eine gerade Linie.

Eine Draft-Linie ist eigentlich eine Draft-Polylinie mit nur zwei Punkten.

Eine durch zwei Punkte festgelegte Linie

Anwendung

Siehe auch: Draft-Ablage, Draft-Einrasten und Draft-Beschränken.

  1. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
    • Die Schaltfläche Linie drücken.
    • Den Menüeintrag Zeichnen → Linie auswählen.
    • Das Tastaturkürzel L dann I.
  2. Der Aufgaben-Bereich Linie wird geöffnet. Siehe Optionen für weitere Informationen.
  3. Den ersten Punkt in der 3D-Ansicht auswählen oder die Koordinaten eingeben und die Schaltfläche Punkt eingeben drücken.
  4. Den zweiten Punkt in der 3D-Ansicht auswählen oder die Koordinaten eingeben und die Schaltfläche Punkt eingeben drücken.

Optionen

Die im Aufgaben-Bereich vorhandenen Einzelzeichen-Tastaturkürzel können geändert werden. Siehe Draft-Einstellungen. Die hier genannten Tastaturkürzel sind die voreingestellten Tastaturkürzel (für Version 0.22).

  • Zum manuellen Eingeben von Koordinaten, werden die X-, Y- und Z-Komponenten jeweils mit abschließendem Enter eingegeben. Oder man drückt die Schaltfläche Punkt eingeben, sobald alle gewünschten Werte eingegeben sind. Es ist ratsam den Mauszeiger außerhalb der 3D-Ansicht zu plazieren, bevor man Koordinaten eingibt.
  • Um PolarKoordinaten zu veränden, werden Werte für die Länge und den Winkel jeweils mit abschließendem Enter eingegeben.
  • Die Check-Box Angle aktivieren, um den Zeiger auf den eingegebenen Winkel festzulegen.
  • L drücken, um den Fokus vom Eingabefeld X auf das Eingabefeld Länge und zurück zu setzen. Abhängig davon, auf welchem Eingabefeld der Fokus liegt ist das Häkchen in der Check-Box Winkel aktiviert oder nicht.
  • R drücken oder die Check-Box Relativ anklicken, um den Relativ-Modus umzuschalten. Ist der Relativ-Modus aktiviert, beziehen sich die Koordinaten des zweiten Punktes auf den ersten. Andernfalls beziehen sie sich auf den Ursprung des Koordinatensystems.
  • G drücken oder die Check-Box Global anklicken, um den Global-Modus umzuschalten. ist der Global-Modus aktiviert, beziehen sich die Koordinaten auf das globale Koordinatensystem. Andernfalls beziehen sie sich auf das Koordinatensystem der Arbeitsebene. eingeführt mit Version 0.20
  • N drücken oder die Check-Box Fortsetzen anklicken, um den Fortsetzen-Modus umzuschalten. Ist der Fortsetzen-Modus aktiviert, wird der Befehl nach dem Beenden erneut gestartet und ermöglicht so mit dem Erstellen von Linien fortzufahren.
  • S drücken, um Draft Einrasten ein- bzw. ausgeschaltet.
  • Esc oder die Schaltfläche Schließen drücken, um den Befehl abzubrechen.

Hinweise

Einstellungen

Siehe auch: Voreinstellungseditor und Draft-Einstellungen.

  • To change the initial focus of the task panel to the Length input box: Edit → Preferences... → Draft → General → Set focus on Length instead of X coordinate. Note that you must move the pointer in the 3D view for the change to take effect.
  • If the Edit → Preferences... → Draft → General → Create Part primitives if possible option is checked, the command will create a Part Line instead of a Draft Line.

Eigenschaften

Siehe Draft-Polylinie.

Skripten

Siehe auch: Autogenerierte API Dokumentation und FreeCAD Grundlagen Skripten.

Zum Erstellen einer Draft-Linie wird die Methode make_line des Draft-Moduls verwendet (eingeführt mit Version 0.19). Diese Methode ersetzt die veraltete Methode makeLine.

line = make_line(p1, p2)
line = make_line(LineSegment)
line = make_line(Shape)
  • Erzeugt ein Line Objekt zwischen den Punkten p1 und p2, jeweils definiert durch ihren FreeCAD.Vector, mit Einheiten in Millimetern.
  • Erstellt ein Line Objekt aus einem Part.LineSegment.
  • Erzeugt ein Line Objekt vom ersten Knoten bis zum letzten Knoten der angegebenen Shape.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 500, 0)
p3 = App.Vector(-250, -500, 0)
p4 = App.Vector(500, 1000, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p3, p4)

doc.recompute()